Bug 159219 - java.sql.SQLException: [DataDirect][ODBC SequeLink driver]�HY000��Informix�Found a quote for which there is no matching quote.
java.sql.SQLException: [DataDirect][ODBC SequeLink driver]�HY000��Informix�Fo...
Status: RESOLVED WORKSFORME
Product: db
Classification: Unclassified
Component: Code
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jiri Rechtacek
issues@db
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-26 13:56 UTC by cloeffler
Modified: 2010-04-01 13:25 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.40 KB, text/plain)
2009-02-26 13:56 UTC, cloeffler
Details

Note You need to log in before you can comment on or make changes to this bug.
Description cloeffler 2009-02-26 13:56:55 UTC
Build: NetBeans IDE 6.5 (Build 200811100001)
VM: Java HotSpot(TM) Client VM, 10.0-b23, Java(TM) SE Runtime Environment, 1.6.0_07-b06
OS: Windows XP, 5.1, x86

User Comments:
bartvdc: deleting records

bartvdc: execute query

cloeffler: added a where clause to a SELECT, then sent it

bartvdc: execute sql

GUEST: - Right click a table
- View table data
- Exception occurs, even if data is visible.

bartvdc: execute sql



Stacktrace: 
java.sql.SQLException: [DataDirect][ODBC SequeLink driver]�HY000��Informix�Found a quote for which there is no matching quote.
        at sun.jdbc.odbc.JdbcOdbc.createSQLException(JdbcOdbc.java:6957)
        at sun.jdbc.odbc.JdbcOdbc.standardError(JdbcOdbc.java:7114)
        at sun.jdbc.odbc.JdbcOdbc.SQLForeignKeys(JdbcOdbc.java:3312)
        at sun.jdbc.odbc.JdbcOdbcDatabaseMetaData.getImportedKeys(JdbcOdbcDatabaseMetaData.java:3059)
        at org.netbeans.modules.db.dataview.meta.DBMetaDataFactory.getForeignKeys(DBMetaDataFactory.java:175)
        at org.netbeans.modules.db.dataview.meta.DBMetaDataFactory.checkForeignKeys(DBMetaDataFactory.java:342)
Comment 1 cloeffler 2009-02-26 13:57:00 UTC
Created attachment 77408 [details]
stacktrace
Comment 2 Jiri Rechtacek 2009-07-01 07:44:16 UTC
NB6.7 was released already - http://www.netbeans.org/community/releases/67/
Postpone fixing this issue on the next release.
Comment 3 Jiri Rechtacek 2010-04-01 13:25:16 UTC
A few fixed in this area was made in NB6.9, it should work now.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo